%{?mingw_package_header}

%global pkgname tesseract

Name:          mingw-%{pkgname}
Version:       3.05.01
Release:       2%{?dist}
Summary:       MinGW Windows tesseract-ocr library

License:       ASL 2.0
BuildArch:     noarch
URL:           https://github.com/tesseract-ocr/%{name}
Source0:       https://github.com/tesseract-ocr/tesseract/archive/%{version}/%{pkgname}-%{version}.tar.gz
# Fix error: 'std::this_thread' has not been declared
Patch0:        tesseract_mingw.patch

# Needed for Patch0
BuildRequires: autoconf automake libtool

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-binutils
BuildRequires: mingw32-libtiff
BuildRequires: mingw32-leptonica

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-binutils
BuildRequires: mingw64-libtiff
BuildRequires: mingw64-leptonica


%description
MinGW Windows tesseract-ocr library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows tesseract-ocr library

%description -n mingw32-%{pkgname}
MinGW Windows tesseract-ocr library.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of the MinGW Windows tesseract-ocr library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
Static version of the MinGW Windows tesseract-ocr library.


%package -n mingw32-%{pkgname}-tools
Summary:       MinGW Windows tesseract-ocr library tools
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-tools
MinGW Windows tesseract-ocr library tools.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows tesseract-ocr library

%description -n mingw64-%{pkgname}
MinGW Windows tesseract-ocr library.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of the MinGW Windows tesseract-ocr library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
Static version of the MinGW Windows tesseract-ocr library.


%package -n mingw64-%{pkgname}-tools
Summary:       MinGW Windows tesseract-ocr library tools
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-tools
MinGW Windows tesseract-ocr library tools.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n tesseract-%{version}


%build
# Needed for Patch1
autoreconf -i
%mingw_configure
%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=%{buildroot} install

# Delete *.la files
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Delete man files
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}


%files -n mingw32-%{pkgname}
%license COPYING
%{mingw32_bindir}/libtesseract-3.dll
%{mingw32_includedir}/tesseract/
%{mingw32_libdir}/libtesseract.dll.a
%{mingw32_libdir}/pkgconfig/tesseract.pc
%{mingw32_datadir}/tessdata/

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/libtesseract.a

%files -n mingw32-%{pkgname}-tools
%{mingw32_bindir}/*.exe

%files -n mingw64-%{pkgname}
%license COPYING
%{mingw64_bindir}/libtesseract-3.dll
%{mingw64_includedir}/tesseract/
%{mingw64_libdir}/libtesseract.dll.a
%{mingw64_libdir}/pkgconfig/tesseract.pc
%{mingw64_datadir}/tessdata/

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/libtesseract.a

%files -n mingw64-%{pkgname}-tools
%{mingw64_bindir}/*.exe


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.05.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jun 03 2017 Sandro Mani <manisandro@gmail.com> - 3.05.01-1
- Update to 3.05.01

* Tue Feb 21 2017 Sandro Mani <manisandro@gmail.com> - 3.05.00-1
- Update to 3.05.00

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.04.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Feb 20 2016 Sandro Mani <manisandro@gmail.com> - 3.04.01-1
- Update to 3.04.01

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.04.00-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 26 2016 Sandro Mani <manisandro@gmail.com> - 3.04.00-3
- Rebuild (leptonica)

* Tue Jan 26 2016 Sandro Mani <manisandro@gmail.com> - 3.04.00-2
- Rebuild (leptonica)

* Tue Oct 06 2015 Sandro Mani <manisandro@gmail.com> - 3.04.00-1
- Update to 3.04.00

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.03-0.2.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 04 2014 Sandro Mani <manisandro@gmail.com> - 3.03-0.1.rc1
- Update to 3.03-rc1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.02.02-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.02.02-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 11 2013 Sandro Mani <manisandro@gmail.com> - 3.02.02-3
- Fix Source0 URL

* Sun May 19 2013 Sandro Mani <manisandro@gmail.com> - 3.02.02-2
- Remove mingw_build_win32/64 macros
- Properly version mingw32-filesystem BuildRequires

* Wed May 08 2013 Sandro Mani <manisandro@gmail.com> - 3.02.02-1
- Initial Fedora package
